//
// Collected Worlds 2015
// Flurry HTML5 GMS Wrapper Extension
//
	
var flurr; 
var flrl = document.createElement('script');
	flrl.src = 'https://cdn.flurry.com/js/flurry.js';
	flrl.onload = function() {
		flurr = FlurryAgent;
		
	};
	document.body.appendChild(flrl);
	
function FlurryAnalyticsJS_Init(_apiKey) {
	
	flurr.startSession(_apiKey);
	if ( window.console && window.console.log ) {
        console.log('init Flurry HTML5 ' + _apiKey);
    }
}

function FlurryAnalyticsJS_SendEvent(_eventName) {
	flurr.logEvent(_eventName);
	
	if ( window.console && window.console.log ) {
        console.log('Flurry HTML5 ' + _eventName);
    }
}

function FlurryAnalyticsJS_SendEventExt(_eventName ,_keyValuePairs) {
	flurr.logEvent(_eventName, _keyValuePairs);
	
	if ( window.console && window.console.log ) {
        console.log('Flurry HTML5 ' + _eventName + ' ' + _keyValuePairs);
    }
} 